package com.chinacreator.ecd.common.entity;

import java.io.Serializable;

public class InterfaceUserEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 接口调用账号，分配给使用者的账号，在接口文档中对应于cpid, channel等
	 */
	private String username;
	
	/**
	 * 接口调用密码
	 */
	private String password;
	
	/**
	 * 调用者信息，某某公司、某某渠道
	 */
	private String realname;
	
	/**
	 * 系统ID，账号所属的系统，如 orderchannel
	 */
	private String systemid;
	
	/**
	 * 账号所属系统的名称，系统名称，如前向系统，后向系统
	 */
	private String systemname;
	
	/**
	 * 接口名称
	 */
	private String interfacename;
	
	/**
	 * 可以调用接口的IP，多个IP用逗号分隔，支持星号（*）
	 */
	private String allowip;
	
	/**
	 * timestamp的有效期限，防止恶意刷接口
	 */
	private String duration;
	
	/**
	 * 0有效1失效
	 */
	private String status;
	
	private String inserttime;
	
	private String updatetime;

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getRealname() {
		return realname;
	}

	public void setRealname(String realname) {
		this.realname = realname;
	}

	public String getSystemid() {
		return systemid;
	}

	public void setSystemid(String systemid) {
		this.systemid = systemid;
	}

	public String getSystemname() {
		return systemname;
	}

	public void setSystemname(String systemname) {
		this.systemname = systemname;
	}

	public String getInterfacename() {
		return interfacename;
	}

	public void setInterfacename(String interfacename) {
		this.interfacename = interfacename;
	}

	public String getAllowip() {
		return allowip;
	}

	public void setAllowip(String allowip) {
		this.allowip = allowip;
	}

	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getInserttime() {
		return inserttime;
	}

	public void setInserttime(String inserttime) {
		this.inserttime = inserttime;
	}

	public String getUpdatetime() {
		return updatetime;
	}

	public void setUpdatetime(String updatetime) {
		this.updatetime = updatetime;
	}
	
	
	
}
