package com.chinacreator.ecd.flowstatus.service;

import java.text.SimpleDateFormat;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import com.alibaba.fastjson.JSONObject;

@Service
public class FlowstatusService {
	
	private final static SimpleDateFormat DATE_FORMAT = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

	@Autowired
	private KafkaTemplate<String, String> kafkaTemplate;
	
	@Value("${flowstatus.savetopic}")
	private String flowstatusSaveTopic;
	
	@Value("${flowstatus.syncdouyintopic}")
	private String flowstatusSyncDouyinTopic;
	
	@Value("${flowstatus.douyinseriesproducts}")
	private String douyinSeriesProducts;
	
	/**
	 * 将接收到的数据存入kafka，以便能批量入库
	 * 
	 * @param data
	 */
	public void sendFlowuseToKafka(JSONObject data) {
		data.put("recieveTime", DATE_FORMAT.format(System.currentTimeMillis()));
		kafkaTemplate.send(flowstatusSaveTopic, data.toJSONString());
		
		// 抖音的产品有前后向包、抖币包
		if (!StringUtils.isEmpty(douyinSeriesProducts)) {
			String[] douyinProducts = douyinSeriesProducts.split(",");
			
			for (String productId : douyinProducts) {
				if (productId.equals(data.getString("ADD_PRODUCT_ID"))) {
					kafkaTemplate.send(flowstatusSyncDouyinTopic, data.toJSONString());
				}
			}
		}
	}

	public static void main(String[] args) {
		System.out.println(DATE_FORMAT.format(System.currentTimeMillis()));
		System.out.println("90395238,".split(",").length);
		
	}
	/*
	 * @KafkaListener(topics = { "#{'${flowstatus.topic}'}" }) public void
	 * consume(String message) { logger.info("收到的数据是：{}", message);
	 * System.out.println("收到的数据是：" + message); }
	 */
}
