package com.chinacreator.ecd.flowstatus;

import java.net.URL;

import org.apache.commons.codec.digest.DigestUtils;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.web.client.TestRestTemplate;
import org.springframework.boot.web.server.LocalServerPort;
import org.springframework.http.ResponseEntity;

import com.alibaba.fastjson.JSONObject;
import com.chinacreator.ecd.Application;
import com.chinacreator.ecd.util.DESUtil;

@SpringBootTest(classes = { Application.class }, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT) // 指定启动类
public class FlowuseControllerTest {
	/**
	 * @LocalServerPort 提供了 @Value("${local.server.port}") 的代替
	 */
	@LocalServerPort
	private int port;

	private URL base;

	@Autowired
	private TestRestTemplate restTemplate;

	// 接口数据解密密码
	private final static String PASSWORD = "dy#@24fL";

	@BeforeEach
	public void setUp() throws Exception {
		String url = String.format("http://localhost:%d/", port);
		System.out.println(String.format("port is : [%d]", port));
		this.base = new URL(url);
	}

	@Test
	public void acceptFlowuse() throws Exception {
		String data = "{\"SERIAL_NUMBER\":\"13239305161\",\"ELEMENT_ID\":\"8436177\",\"REMAIN\":\"58\",\"KAFKA_TYPE\":\"r\",\"DEAL_TIME\":\"20200429100316\",\"PERCENT\":\"90\",\"EPARCHY_CODE\":\"0930\",\"USER_ID\":\"8718031338922290\",\"ADD_PRODUCT_ID\":\"90274148\",\"USED_VALUE\":\"0.72\",\"PROVINCE_CODE\":\"87\"}";

		JSONObject jsonObject = new JSONObject();
		jsonObject.put("timestamp", System.currentTimeMillis() / 1000);
		jsonObject.put("params", DESUtil.encode(data, PASSWORD));
		String signature = DigestUtils
				.md5Hex(jsonObject.getString("params") + jsonObject.getString("timestamp") + PASSWORD);
		jsonObject.put("signature", signature);

		ResponseEntity<String> response = this.restTemplate.postForEntity(this.base.toString() + "/acceptFlowuse",
				jsonObject.toJSONString(), String.class);
		System.out.println(String.format("测试结果为：%s", response.getBody()));
	}

	/**
	 * 生成调用的参数，然后可以用Postman进行测试， postman 调用地址：http://127.0.3.96:8084/acceptFlowuse
	 * 调用方式选择：post 参数格式选择：json
	 * 
	 * @throws Exception
	 */
	public static void main(String[] args) throws Exception {

		String data = "{\"SERIAL_NUMBER\":\"18674842761\",\"ELEMENT_ID\":\"8436177\",\"REMAIN\":\"58\",\"KAFKA_TYPE\":\"r\",\"DEAL_TIME\":\"20200429100316\",\"PERCENT\":\"90\",\"EPARCHY_CODE\":\"0930\",\"USER_ID\":\"8718031338922290\",\"ADD_PRODUCT_ID\":\"90274148\",\"USED_VALUE\":\"0.72\",\"PROVINCE_CODE\":\"87\"}";

		JSONObject jsonObject = new JSONObject();
		jsonObject.put("timestamp", System.currentTimeMillis() / 1000);
		jsonObject.put("params", DESUtil.encode(data, PASSWORD));
		String signature = DigestUtils
				.md5Hex(jsonObject.getString("params") + jsonObject.getString("timestamp") + PASSWORD);
		jsonObject.put("signature", signature);

		System.out.println(jsonObject.toJSONString());
	}
}
